Bug 99074 - web layout is not imported from docx file
Summary: web layout is not imported from docx file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.2.0 target:5.4.0 target:5.3....
Keywords:
Depends on:
Blocks: Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2016-04-04 10:05 UTC by Miklos Vajna
Modified: 2017-01-19 15:44 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document (12.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-04-04 10:05 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-04-04 10:05:24 UTC
Created attachment 124062 [details]
Reproducer document

Writer has this feature, the DOCX format has it as well, but the importer doesn't handle it.
Comment 1 Commit Notification 2016-04-04 13:37:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0f9bb795251d950b5dd960fcd030170c8eb67aa

tdf#99074 DOCX import: handle <w:view w:val="web"/>

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-01-18 21:11:09 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2dce8dd41c208ecda40c054635f3736147ec8914

tdf#99074 sw: remove duplicate property "IsBrowseMode" again

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-01-19 10:47:09 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8357326dade8c4d09244f94dc1b51c30e889547&h=libreoffice-5-3

tdf#99074 sw: remove duplicate property "IsBrowseMode" again

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-01-19 15:44:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c940adc98ed9e5844506d5b66a0cdf57f9e1e7c&h=libreoffice-5-2

tdf#99074 sw: remove duplicate property "IsBrowseMode" again

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.